GPITrigger (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface GPITrigger

- All Superinterfaces:
    Component, Event, InterchangeObject, MediaEntity, MetadataObject, Segment
  All Known Implementing Classes:
    GPITriggerImpl

      public interface GPITrigger
      extends Event

  Specifies a trigger action that should be taken when the GPI trigger is reached.

  A GPI trigger is a one way communication protocol in which the controller tells or "triggers" a video mixer or title generator to perform a previously programmed function such as a transition, effect, or title.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GPITrigger` | `clone()` Create a cloned copy of this GPI trigger.
    `boolean` | `getActiveState()` Returns the active state of this GPI trigger, which is `true` if the event is "on".
    `void` | `setActiveState(boolean activeState)` Set to `true` to turn the trigger "on" or `false` to turn the trigger off.

    - ### Methods inherited from interface tv.amwa.maj.model.Event

      `getEventComment, getEventPosition, setEventComment, setEventPosition`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getActiveState

          @Bool
          boolean getActiveState()

      Returns the active state of this GPI trigger, which is `true` if the event is "on".

      Returns:
        Active state of this trigger.

    - #### setActiveState

          void setActiveState(@Bool
                              boolean activeState)

      Set to `true` to turn the trigger "on" or `false` to turn the trigger off.

      Parameters:
        `activeState` - Active state to set for the trigger.

    - #### clone

          GPITrigger clone()

      Create a cloned copy of this GPI trigger.

      Specified by:
        `clone` in interface `Component`
      Specified by:
        `clone` in interface `Event`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `Segment`
      Returns:
        Cloned copy of this GPI trigger.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.